
; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "SystemModelToolkit"
!define PRODUCT_VERSION "1.1.8"
!define PRODUCT_PUBLISHER "Symbian Software Ltd"
!define PRODUCT_WEB_SITE "http://www.symbian.com"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install-full.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall-full.ico"

; Welcome page
!define MUI_WELCOMEPAGE_TEXT "This wizard will guide you through the installation of SystemModelToolkit 1.1\n\nClick Next to continue..."
!insertmacro MUI_PAGE_WELCOME
; License page
!define MUI_LICENSEPAGE_CHECKBOX
!insertmacro MUI_PAGE_LICENSE "license.txt"
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "SystemModelToolkitInstaller.exe"
InstallDir "D:\SystemModelToolkit"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show


;--------------------------- INSTALL SECTION ---------------------------
Section "Install Files" SEC01

  SetOutPath "$INSTDIR"
  SetOverwrite try
  File "..\src\svg\DrawSvg.pl"
  File "..\src\svg\distribution.policy"

  SetOutPath "$INSTDIR\svg"
  SetOverwrite try
  File "..\src\svg\Model.xsl"
  File "..\src\svg\Draw.xsl"
  File "..\src\svg\Legend.xsl"
  File "..\src\svg\DrawSvg.pm"
  File "..\src\svg\ModelTemplate.xml"
  File "..\src\svg\ModelTemplate.older.xml"
  File "..\src\svg\Overlay.xsl"
  File "..\src\svg\Postprocess.xsl"
  File "..\src\svg\Shapes.xsl"


  SetOutPath "$INSTDIR\common"
  SetOverwrite try
  File "..\src\common\DepConstants.pm"
  File "..\src\common\Logger.pm"
  File "..\src\common\LogItem.pm"
  File "..\src\common\distribution.policy"

  SetOutPath "$INSTDIR\resources\installed\Xalan"
  SetOverwrite try
  File "..\resources\installed\Xalan\DISTRIBUTION.POLICY"
  File "..\resources\installed\Xalan\Xalan-C_1_8.dll"
  File "..\resources\installed\Xalan\Xalan.exe"
  File "..\resources\installed\Xalan\XalanMessages_1_8.dll"
  File "..\resources\installed\Xalan\xerces-c_2_5_0.dll"

  SetOutPath "$INSTDIR\resources\auxiliary"
  SetOverwrite try
  File "..\resources\auxiliary\DISTRIBUTION.POLICY"
  File "..\resources\auxiliary\system_model_colors.xml"
  File "..\resources\auxiliary\display-names.xml"
  File "..\resources\auxiliary\Levels.xml"
  File "..\resources\auxiliary\Levels91.xml"
  File "..\resources\auxiliary\Shapes.xml"
  File "..\resources\auxiliary\Example-shapes.xml"
  File "..\resources\auxiliary\SystemInfo.xml"

  SetOutPath "$INSTDIR\docs"
  SetOverwrite try
  File "..\docs\Building the System Model.doc"
  File "..\docs\Customising the System Model Presentation.doc"
  File "..\docs\distribution.policy"
  File "..\docs\dep.css"
  File "..\docs\guide.css"
  File "..\docs\sample_drawsvg.ini"
  File "..\docs\SystemModelToolkitInstaller_main.jpg"
  File "..\docs\user_guide_system_model_toolkit.html"


SectionEnd
;-------------------------------------------------------


Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
  Abort
FunctionEnd


;--------------------------- UNISTALL SECTION ---------------------------
Section Uninstall

  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\DrawSvg.pl"
  Delete "$INSTDIR\distribution.policy"
  Delete "$INSTDIR\svg\Draw.xsl"
  Delete "$INSTDIR\svg\Legend.xsl"
  Delete "$INSTDIR\svg\DrawSvg.pm"
  Delete "$INSTDIR\svg\Model.xsl"
  Delete "$INSTDIR\svg\ModelTemplate.xml"
  Delete "$INSTDIR\svg\ModelTemplate.older.xml"
  Delete "$INSTDIR\svg\Overlay.xsl"
  Delete "$INSTDIR\svg\Postprocess.xsl"
  Delete "$INSTDIR\svg\Shapes.xsl"
  Delete "$INSTDIR\common\DepConstants.pm"
  Delete "$INSTDIR\common\Logger.pm"
  Delete "$INSTDIR\common\LogItem.pm"
  Delete "$INSTDIR\common\distribution.policy"
  Delete "$INSTDIR\resources\installed\Xalan\DISTRIBUTION.POLICY"
  Delete "$INSTDIR\resources\installed\Xalan\Xalan-C_1_8.dll"
  Delete "$INSTDIR\resources\installed\Xalan\Xalan.exe"
  Delete "$INSTDIR\resources\installed\Xalan\XalanMessages_1_8.dll"
  Delete "$INSTDIR\resources\installed\Xalan\xerces-c_2_5_0.dll"
  Delete "$INSTDIR\resources\auxiliary\DISTRIBUTION.POLICY"
  Delete "$INSTDIR\resources\auxiliary\system_model_colors.xml"
  Delete "$INSTDIR\resources\auxiliary\display-names.xml"
  Delete "$INSTDIR\resources\auxiliary\Levels.xml"
  Delete "$INSTDIR\resources\auxiliary\Levels91.xml"
  Delete "$INSTDIR\resources\auxiliary\Shapes.xml"
  Delete "$INSTDIR\resources\auxiliary\Example-shapes.xml"
  Delete "$INSTDIR\resources\auxiliary\SystemInfo.xml"
  Delete "$INSTDIR\docs\Building the System Model.doc"
  Delete "$INSTDIR\docs\Customising the System Model Presentation.doc"
  Delete "$INSTDIR\docs\distribution.policy"
  Delete "$INSTDIR\docs\dep.css"
  Delete "$INSTDIR\docs\guide.css"
  Delete "$INSTDIR\docs\sample_drawsvg.ini"
  Delete "$INSTDIR\docs\SystemModelToolkitInstaller_main.jpg"
  Delete "$INSTDIR\docs\user_guide_system_model_toolkit.html"

  RMDir "$INSTDIR\svg"
  RMDir "$INSTDIR\common"
  RMDir "$INSTDIR\resources\installed\Xalan"
  RMDir "$INSTDIR\resources\installed"
  RMDir "$INSTDIR\resources\auxiliary"
  RMDir "$INSTDIR\resources"
  RMDir "$INSTDIR\docs"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd
;-------------------------------------------------------


